Available in Classic and VPC
Regenerate the primary key or secondary key of an API key.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| PATCH | /api/v1/api-keys/{api-key-id} |
Request headers
For information about the headers common to all API Gateway APIs, see API Gateway request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
api-key-id |
String | Required | API key ID to regenerate the API key from |
Request syntax
The request syntax is as follows.
{
"keyType" : "keyType"
}
Request body
The following describes the request body.
| Field | Type | Required | Description |
|---|---|---|---|
keyType |
String | Required | Type of API key to regenerate
|
Request example
The following is a sample request.
curl -X PATCH 'https://apigateway.apigw.ntruss.com/api/v1//api-keys/{api-key-id}' \
--header 'Content-Type: application/json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--data '{
"keyType" : "PRIMARY"
}'
Response
The following describes the response format.
Response syntax
The response syntax is as follows.
{
"apiKey": {
"apiKeyId": "apiKeyId",
"tenantId": "tenantId",
"apiKeyName": "apiKeyName",
"apiKeyDescription": "apiKeyDescription",
"primaryKey": "primaryKey",
"secondaryKey": "secondaryKey",
"modifier": "modifier",
"isEnabled": false,
"modTime": "2024-05-08T00:21:31Z",
"domainCode": "domainCode"
}
}
Response status codes
For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.
Response example
The following is a sample response.
{
"apiKey": {
"apiKeyId": "*****bgro1",
"tenantId": "*****02f55ae4436913a6e2c65bab47c",
"apiKeyName": "apiKeyName",
"apiKeyDescription": "apiKeyDescription",
"primaryKey": "*****f7AOklrKqLQiZfLRUPnXsHHLQi4jhYURYSU",
"secondaryKey": "*****a2121vr736Q7JlU2L3erP7Kkuryvu2iJRi8",
"modifier": "d12c9fd0-****-****-****-246e96591a38",
"isEnabled": false,
"modTime": "2024-05-08T00:21:31Z",
"domainCode": "PUB"
}
}